# $Revision: 1.5 $
#
# Sample innfeed config file. See the comment block at the
# end for a fuller description of the format, and innfeed.conf(5) for a
# description of the entries.
#

##
## Global values. Not specific to any peer. These are optional, but if
## used will override the compiled in values.
##

pid-file:			innfeed.pid		# relative to pathrun
debug-level:			0
use-mmap:			false
log-file:			innfeed.log		# relative to pathlog
stdio-fdmax:			0

## Uncomment the next line to include the contents
## of ``testfile'' at this point.

#$INCLUDE testfile

backlog-directory:		innfeed			# relative to pathspool
backlog-rotate-period:		60
backlog-ckpt-period:		30
backlog-newfile-period:		600

dns-retry:			900
dns-expire:			86400
close-period:			86400
gen-html:			false
status-file:			innfeed.status		# relative to pathlog
connection-stats:		false
host-queue-highwater:		200
stats-period:			600
stats-reset:			43200

max-reconnect-time:		3600
initial-reconnect-time:		30


##
## Defaults for all peers. These must all exist at
## global scope. Any of them can be redefined
## inside a peer or group definition.
##

article-timeout:		600
response-timeout:		300
initial-connections:		1
max-connections:		5
max-queue-size:			5
streaming:			true
no-check-high:			95.0
no-check-low:			90.0
no-check-filter:		50.0
port-number:			119
drop-deferred:			false
min-queue-connection:		false
backlog-limit:			0
backlog-factor:			1.10
backlog-limit-highwater:	0
dynamic-method:			3
dynamic-backlog-filter:		0.7
dynamic-backlog-low:		25.0
dynamic-backlog-high:		50.0
no-backlog:			false
backlog-feed-first:             false

##
## Peers. 
##
#peer decwrl {
#        ip-name:                news1.pa.dec.com
#}

#peer uunet {
#        ip-name:                news.uunet.uu.net
#        max-connections:        10
#}


##
## Group peers together to give second level defaults.
## 
#group fast-sites {
#	max-connections: 7
#
#	peer data.ramona.vix.com {
#		# ip-name defaults to data.ramona.vix.com
#	        streaming:              false
#	}
#
#	peer bb.home.vix.com {
#	        ip-name:        192.5.5.33
#	}
#}



# Blank lines are ignored. Exerything after a '#'
# is ignored too.
#
# Format is:
#               key : value
#
# See innfeed.conf(5) for a description of
# necessary & useful keys. Unknown keys and their
# values are ignored.
#
# Values may be a integer, floating-point, c-style
# single-quoted characters, boolean, and strings.
#
# If a string value contains whitespace, or
# embedded quotes, or the comment character
# (``#''), then the whole string must be quoted
# with double quotes.  Inside the quotes, you may
# use the standard c-escape sequence
# (\t,\n,\r,\f,\v,\",\').
#
# Examples:
#       eg-string:      "New\tConfig\tfile\n"
#       eg-long-string: "A long string that goes
#                       over multiple lines. The
#                       newline is kept in the
#                       string except when quoted 
#                       with a backslash \
#                       as here."
#       eg-simple-string: A-no-quote-string
#       eg-integer:     10
#       eg-boolean:     true
#       eg-char:        'a'
#       eg-ctrl-g:      '\007'
